#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 29. Introduction to KDE

- Prev

  Phonon-4.11.1

- Next

  Phonon-backend-vlc-0.11.3

- Up
- Home

# Phonon-backend-gstreamer-4.10.0

## Introduction to the Phonon-backend-gstreamer

This package provides a Phonon backend which utilizes the GStreamer media framework.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/phonon-backend-gstreamer/4.10.0/phonon-backend-gstreamer-4.10.0.tar.xz

- Download MD5 sum: 60abf634e961160cd1772d486f4a7097

- Download size: 100 KB

- Estimated disk space required: 7.2 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Phonon-backend-gstreamer Dependencies

#### Required

gstreamer-1.20.0, libxml2-2.9.13, and phonon-4.11.1

#### Recommended

gst-plugins-base-1.20.0 (needed for output to ALSA), gst-plugins-good-1.20.0 (needed for output to PulseAudio), gst-plugins-bad-1.20.0 (needed for AAC/M4A support), and gst-plugins-ugly-1.20.0 (needed for MP3 support)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/phonon-backend-gstreamer

## Installation of Phonon-backend-gstreamer

Install Phonon-backend-gstreamer by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr    \
          -DCMAKE_BUILD_TYPE=Release     \
          .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of compiler optimizations.

## Contents

Installed Programs: none
Installed Libraries: phonon_gstreamer.so
Installed Directories: /usr/lib/qt5/plugins/phonon4qt5_backend

Last updated on

- Prev

  Phonon-4.11.1

- Next

  Phonon-backend-vlc-0.11.3

- Up
- Home